<!-- Badges -->

[![Pub Package](https://img.shields.io/pub/v/ngdart.svg)](https://pub.dev/packages/ngdart)
[![Build Status](https://img.shields.io/github/actions/workflow/status/angulardart-community/angular/dart.yml?branch=master)](https://github.com/angulardart-community/angular/actions/workflows/dart.yml)
[![Gitter](https://img.shields.io/gitter/room/angulardart/community)](https://gitter.im/angulardart/community)

[AngularDart][angulardart] is an open-source web framework focused on
productivity, performance, and stability. Originally developed by Google,
AngularDart has powered sophisticated, mission-critical apps that serve millions
of users. It is built on [Dart](https://dart.dev/web) and has been used
extensively in production, including but not limited to Google AdWords, Google
Fiber, Wrike, etc.

**Disclaimer**: This project is now maintained by the AngularDart Community.
This is not a Google product in any way, official or unofficial.

## New to AngularDart?

Ramp up quickly with our docs, codelabs, and examples:

* Go to [Get Started][get_started] for a quick introduction to
  creating and running AngularDart web apps.

* Follow the [AngularDart tutorial][tutorial] to build a
  fully working application that includes routing, HTTP networking, and more.

You may also be interested in [other codelabs][codelabs] and
a set of [community contributed tutorials][comm].

[get_started]: https://angulardart.xyz/guides/get-started
[tutorial]: https://angulardart.xyz/angular/tutorial
[codelabs]: https://angulardart.xyz/codelabs
[comm]: https://dart.academy/tag/angular/
[webdev_components]: https://gallery.angulardart.xyz

## Resources

 * Pub packages:
   [angular][pub_angular],
   [angular_components][pub_angular_components],
   [angular_forms][pub_angular_forms],
   [angular_router][pub_angular_router],
   [angular_test][pub_angular_test],
 * GitHub repo (dart-lang/angular):
   [source code](https://github.com/dart-lang/angular),
   [issues](https://github.com/dart-lang/angular/issues),
   [contributor guidelines][contribute]
 * Community/support:
   [mailing list](https://groups.google.com/a/dartlang.org/forum/#!forum/web),
   [Gitter chat room](https://gitter.im/angulardart/community)
 * [Logo](https://github.com/dart-lang/logos/tree/master/angular/)
 * [Documentation][angulardart]

[angulardart]: https://angulardart.xyz
[dart_web]: https://dart.dev/web
[pub_angular]: https://pub.dev/packages/ngdart
[pub_angular_components]: https://pub.dev/packages/ngcomponents
[pub_angular_forms]: https://pub.dev/packages/ngforms
[pub_angular_router]: https://pub.dev/packages/ngrouter
[pub_angular_test]: https://pub.dev/packages/ngtest
[contribute]: https://github.com/angulardart-community/angular/blob/master/CONTRIBUTING.md
