/// The top-level methods are intended to be used only by code generated by the
/// compiler when it "sees" that a potential unsafe operation would otherwise be
/// used (i.e. `<div [innerHtml]="someValue"></div>`).

import 'dom_sanitization_service.dart';

/// Converts [stringOrSafeOrBypass] into a `String` safe to use within the DOM.
String? sanitizeHtml(Object? stringOrSafeOrBypass) {
  // print('Sanitizing $stringOrSafeOrBypass');
  if (stringOrSafeOrBypass == null) {
    return null;
  }
  return DomSanitizationService().sanitizeHtml(stringOrSafeOrBypass);
}

/// Converts [stringOrSafeOrBypass] into a `String` safe to use within the DOM.
String? sanitizeStyle(Object? stringOrSafeOrBypass) {
  if (stringOrSafeOrBypass == null) {
    return null;
  }
  return DomSanitizationService().sanitizeStyle(stringOrSafeOrBypass);
}

/// Converts [stringOrSafeOrBypass] into a [String] safe to use within the DOM.
String? sanitizeUrl(Object? stringOrSafeOrBypass) {
  if (stringOrSafeOrBypass == null) {
    return null;
  }
  return DomSanitizationService().sanitizeUrl(stringOrSafeOrBypass);
}

/// Converts [stringOrSafeOrBypass] into a `String` safe to use within the DOM.
String? sanitizeResourceUrl(Object? stringOrSafeOrBypass) {
  if (stringOrSafeOrBypass == null) {
    return null;
  }
  return DomSanitizationService().sanitizeResourceUrl(stringOrSafeOrBypass);
}
